Niebezpieczne błędy w PHP

Organizacja PHP Group udostępniła uaktualnione wersje PHP, z których usunięto groźne błędy, wykryte w poprzednich edycjach. "Dziury", które wykryła grupa Hardened-PHP, umożliwiają m.in. skuteczne zaatakowanie serwera wykorzystującego PHP.

Najgroźniejszy błąd występuje w mechanizmie odpowiedzialnym za kompaktowanie danych - umożliwia on nieautoryzowanemu użytkownikowi przejęcie zdalnej kontroli nad serwerem. W PHP wykryto też sześć innych, mniej istotnych błędów - wszystkie one usunięte zostały w udostępnionych właśnie edycjach.

Nowe wersje to 4.3.10 i 5.0.3 - przedstawiciele PHP Group zalecają wszystkim użytkownikom ich jak najszybsze pobranie i zainstalowanie.

PHP (PHP: Hypertext Preprocessor, wcześniej Personal Home Page) to skryptowy język programowania, udostępniany na licencji open-source. PHP popularny jest zwłaszcza wśród webmasterów tworzących dynamiczne strony WWW.

Najnowsze wersje PHP można znaleźć na stronie PHP Group.


Zobacz również